WebXmlSubTask.ServletVersionTypes (XDoclet 1.2.3 API)
Keywords: xdoclet.modules.web.WebXmlSubTask.ServletVersionTypes class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## xdoclet.modules.web
Class WebXmlSubTask.ServletVersionTypes

    java.lang.Object
      org.apache.tools.ant.types.EnumeratedAttribute
          xdoclet.modules.web.WebXmlSubTask.ServletVersionTypes

Enclosing class:
  WebXmlSubTask

public static class WebXmlSubTask.ServletVersionTypes
extends org.apache.tools.ant.types.EnumeratedAttribute

Supported Servlet spec versions.

Author:
  Ara Abrahamian (ara_e@email.com)
created
  October 20, 2001

Field Summary
`static String` | `VERSION_2_2`
`static String` | `VERSION_2_3`
`static String` | `VERSION_2_4`

Fields inherited from class org.apache.tools.ant.types.EnumeratedAttribute
`value`

Constructor Summary
`WebXmlSubTask.ServletVersionTypes()`

Method Summary
`String[]` | `getValues()` Gets the Values attribute of the ServletVersionTypes object

Methods inherited from class org.apache.tools.ant.types.EnumeratedAttribute
`containsValue, getIndex, getValue, indexOfValue, setValue, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### VERSION_2_2

    public static final String VERSION_2_2

See Also:
  Constant Field Values

### VERSION_2_3

    public static final String VERSION_2_3

See Also:
  Constant Field Values

### VERSION_2_4

    public static final String VERSION_2_4

See Also:
  Constant Field Values

Constructor Detail

### WebXmlSubTask.ServletVersionTypes

    public WebXmlSubTask.ServletVersionTypes()

Method Detail

### getValues

    public String[] getValues()

  Gets the Values attribute of the ServletVersionTypes object

  Returns:
    The Values value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://xdoclet.sourceforge.net/
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD